# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Port Class Reference

## Public Member Functions

unsigned | getIndex () const
| returns the index of the port.
const std::string & | getOrientation () const
| returns the orientation of the port.
const std::string & | getType () const
| returns the type of the port.
double | getX () const
| returns the x coordinate of the port.
double | getY () const
| returns the y coordinate of the port.
| Port (const std::string &type, unsigned idx, double x, double y, const std::string &orient)
| creates a new port. More...

## Detailed Description

This class describes port.

A port is used by schematic to position the input/output ports of the circuit.

Note
  Althought the Port object is related to Schematic, it is handled by Net object since a port always belongs to a Net.

## Constructor & Destructor Documentation

## ◆ Port()

Port | ( | const std::string & | type,
|  | unsigned | idx,
|  | double | x,
|  | double | y,
|  | const std::string & | orient
| ) |  |

inline

creates a new port.

Parameters

  type | the type of the port.
  idx | the index of the port (index of nets belonging to the same net must be different).
  x | the x coordinate of the port.
  y | the y coordinate of the port.
  orient | the orientation of the port.